Package com.documentum.fc.client.dcis.embd

# Interface IDfEmbeddingHandler

public interface IDfEmbeddingHandler
This class manages all embedding related apis for project Aviator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCriteria(IDfFolder folder, String constraint)`
  FUTURE SCOPE: This will add criteria for filtering documents inside the folder.
  `void`
  `disableEmbeddingForAFolder(IDfFolder folder)`
  `void`
  `disableEmbeddingForVirtualDoc(IDfSysObject vd)`
  This will set embedding enabled flag to false on a virtual document.
  `void`
  `enableEmbeddingForAFolder(IDfFolder folder)`
  This will set embedding enabled flag on a folder object.
  `void`
  `enableEmbeddingForDocuments(List<IDfDocument> documentList)`
  FUTURE SCOPE: This will set embedding enabled on a Documents.
  `void`
  `enableEmbeddingForFolders(List<IDfFolder> folderList)`
  This will set embedding enabled flag on a list of folder objects.
  `void`
  `enableEmbeddingForVirtualDoc(IDfSysObject vd)`
  This will set embedding enabled flag to true on a virtual document.
  `String`
  `getEmbeddingStatus(IDfFolder folder)`
  This will return the status on whether all documents inside folder are embedded to CSAI service

- ## Method Details

  - ### enableEmbeddingForAFolder

    void enableEmbeddingForAFolder(IDfFolder folder) throws DfException
    This will set embedding enabled flag on a folder object. When the folder is saved, CS will create an events for all the documents inside the folder that gets pushed into JMS processing queue. Note that for nested folders, each folder has to be individually embedding enabled.
    Throws:
      `DfException`

  - ### enableEmbeddingForFolders

    void enableEmbeddingForFolders(List<IDfFolder> folderList) throws DfException
    This will set embedding enabled flag on a list of folder objects.
    Throws:
      `DfException`

  - ### disableEmbeddingForAFolder

    void disableEmbeddingForAFolder(IDfFolder folder) throws DfException
    Throws:
      `DfException`

  - ### enableEmbeddingForVirtualDoc

    void enableEmbeddingForVirtualDoc(IDfSysObject vd) throws DfException
    This will set embedding enabled flag to true on a virtual document. The complete version tree of all the components gets enabled for embedding and chat. Content server takes care of properly handling the embedding status of virtual document and its components for various operations performed on it
    Throws:
      `DfException`

  - ### disableEmbeddingForVirtualDoc

    void disableEmbeddingForVirtualDoc(IDfSysObject vd) throws DfException
    This will set embedding enabled flag to false on a virtual document. The complete version tree of all the components gets disabled for embedding and chat.
    Throws:
      `DfException`

  - ### enableEmbeddingForDocuments

    void enableEmbeddingForDocuments(List<IDfDocument> documentList) throws DfException
    FUTURE SCOPE: This will set embedding enabled on a Documents.
    Throws:
      `DfException`

  - ### addCriteria

    void addCriteria(IDfFolder folder, String constraint) throws DfException
    FUTURE SCOPE: This will add criteria for filtering documents inside the folder.
    Throws:
      `DfException`

  - ### getEmbeddingStatus

    String getEmbeddingStatus(IDfFolder folder)
    This will return the status on whether all documents inside folder are embedded to CSAI service